package com.cpm.lorealbaautomation.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.cpm.lorealbaautomation.constant.CommonString;

import java.io.Serializable;

public class T_LeaveRequest implements Serializable {

    @SerializedName("Id")
    @Expose
    private Integer id;
    @SerializedName("RequestDate")
    @Expose
    private String requestDate;
    @SerializedName("UserId")
    @Expose
    private String userId;
    @SerializedName("FromDate")
    @Expose
    private String fromDate;
    @SerializedName("ToDate")
    @Expose
    private String toDate;
    @SerializedName("LeaveStatus")
    @Expose
    private String leaveStatus;

    @SerializedName("LeaveType")
    @Expose
    private String LeaveType;

    public String getLeaveType() {
        return LeaveType;
    }

    public void setLeaveType(String leaveType) {
        LeaveType = leaveType;
    }

    public String getLeaveTypeDesc() {
        return LeaveTypeDesc;
    }

    public void setLeaveTypeDesc(String leaveTypeDesc) {
        LeaveTypeDesc = leaveTypeDesc;
    }

    @SerializedName("LeaveTypeDesc")
    @Expose
    private String LeaveTypeDesc;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRequestDate() {
        return requestDate;
    }

    public void setRequestDate(String requestDate) {
        this.requestDate = requestDate;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getFromDate() {
        return fromDate;
    }

    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    public String getToDate() {
        return toDate;
    }

    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    public String getLeaveStatus() {
        return leaveStatus;
    }

    public void setLeaveStatus(String leaveStatus) {
        this.leaveStatus = leaveStatus;
    }

    public String getTransId() {
        return TransId;
    }

    public void setTransId(String transId) {
        TransId = transId;
    }

    String TransId = "";
    String upload_start_date_str="";

    public String getUpload_request_date() {
        return upload_request_date;
    }

    public void setUpload_request_date(String upload_request_date) {
        this.upload_request_date = upload_request_date;
    }

    String upload_request_date="";

    public String getUpload_start_date_str() {
        return upload_start_date_str;
    }

    public void setUpload_start_date_str(String upload_start_date_str) {
        this.upload_start_date_str = upload_start_date_str;
    }

    public String getUpload_end_date_str() {
        return upload_end_date_str;
    }

    public void setUpload_end_date_str(String upload_end_date_str) {
        this.upload_end_date_str = upload_end_date_str;
    }

    public String getLeave_reason() {
        return leave_reason;
    }

    public void setLeave_reason(String leave_reason) {
        this.leave_reason = leave_reason;
    }

    String upload_end_date_str="";
    String leave_reason="";

    public String getUpload_status() {
        return upload_status;
    }

    public void setUpload_status(String upload_status) {
        this.upload_status = upload_status;
    }

    String upload_status = CommonString.KEY_N;

    public String getOne_day_leave_str() {
        return one_day_leave_str;
    }

    public void setOne_day_leave_str(String one_day_leave_str) {
        this.one_day_leave_str = one_day_leave_str;
    }

    String one_day_leave_str="";

    public String getStr_leaveType() {
        return str_leaveType;
    }

    public void setStr_leaveType(String str_leaveType) {
        this.str_leaveType = str_leaveType;
    }

    String str_leaveType="";

    public String getStr_leaveTypeId() {
        return str_leaveTypeId;
    }

    public void setStr_leaveTypeId(String str_leaveTypeId) {
        this.str_leaveTypeId = str_leaveTypeId;
    }

    String str_leaveTypeId="0";

}